Name: mattermost-desktop
License: Github/Distributable
Group: Applications/Internet
Summary: Mattermost is an open source, self-hosted Slack-alternativ
Version: 1.3.0
Release: 1%{?dist}
URL: https://about.mattermost.com/downloads/
# ftp://ftp.mozilla.org/pub/addons/337435/
Packager: Jaroslaw Polok <jaroslaw.polok@cern.ch>
Vendor: CERN, http://cern.ch/linux
Source0: https://releases.mattermost.com/desktop/%{version}/%{name}-%{version}-linux-x64.tar.gz
Source1: https://releases.mattermost.com/desktop/%{version}/%{name}-%{version}-linux-ia32.tar.gz
Source100: Mattermost.sh

BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: tar

%{?filter_setup:
%filter_from_requires /libffmpeg\.so\..*/d
%filter_from_requires /libnode\.so\..*/d
%filter_from_provides /libffmpeg\.so\..*/d
%filter_from_provides /libnode\.so\..*/d
}

%global __requires_exclude %{?__requires_exclude:__requires_exclude|}^libffmpeg
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^libffmpeg
%global __requires_exclude %__requires_exclude|^libnode
%global __provides_exclude %__provides_exclude|^libnode




%description
Mattermost - Private Cloud Slack-alternative

Messaging that Works

Share messages and files across phones and PCs, with archiving and instant search. Integrate with your existing systems. All while keeping vital communications behind your firewall.

Data Center Ready

100% self-hosted solution with integrated authentication, compliance, auditing, high availability and a host of security and management features for enterprise organizations.

Slack-compatible, not Slack-limited

Mattermost supports a superset of Slack’s popular features, including webhook APIs, along with import of Slack channels, users, and even theme colors.

%post

%preun

%files
#defattr(0755,root,root,-)
%dir %{_libexecdir}/%{name}-linux-*/
%{_libexecdir}/%{name}-linux-*/*
%{_bindir}/Mattermost
%{_datadir}/applications/Mattermost.desktop



%build

%install

mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
install -m 755 %{SOURCE100} $RPM_BUILD_ROOT%{_bindir}/Mattermost
cd $RPM_BUILD_ROOT%{_libexecdir}/
%ifarch x86_64
tar -xzvf %{SOURCE0}
%else
tar -xzvf %{SOURCE1}
%endif

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/

cat << EOF > ${RPM_BUILD_ROOT}/%{_datadir}/applications/Mattermost.desktop
[Desktop Entry]
Version=1.0
Type=Application
Name=Mattermost desktop
Comment=Chat using Mattermost
GenericName=Instant Messaging
Icon=mattermost
Exec=Mattermost
Terminal=False
# no mime-types associated
Categories=Network;InstantMessaging;X-Red-Hat-Base;
StartupNotify=false
EOF


%changelog
* Fri Sep 16 2016 Jaroslaw Polok <Jaroslaw.Polok@cern.ch> - 1.3.0-1
- initial release.


